> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhinestone.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Solana wallet portfolio

> Returns a normalised SPL portfolio for the given Solana address by paginating through Helius wallet balances.



## OpenAPI

````yaml https://raw.githubusercontent.com/rhinestonewtf/openapi/refs/heads/main/deposit-service.json get /portfolio/solana/{address}
openapi: 3.1.0
info:
  title: Deposit Service API
  version: 1.0.0
  description: >-
    Cross-chain deposit processing service with automatic token bridging and gas
    sponsorship
servers:
  - url: https://v1.orchestrator.rhinestone.dev/deposit-processor
security: []
paths:
  /portfolio/solana/{address}:
    get:
      tags:
        - Utilities
      summary: Get a Solana wallet portfolio
      description: >-
        Returns a normalised SPL portfolio for the given Solana address by
        paginating through Helius wallet balances.
      parameters:
        - schema:
            type: string
            description: Solana base58 public key
            example: So11111111111111111111111111111111111111112
          required: true
          description: Solana base58 public key
          name: address
          in: path
        - schema:
            type: string
            description: API key for authentication
            example: your-api-key
          required: true
          description: API key for authentication
          name: x-api-key
          in: header
        - schema:
            type: string
            pattern: ^\d{4}-\d{2}\.[a-z0-9]+$
            description: >-
              API version identifier (e.g. "2026-04.amazon"). Optional today,
              will become required in a future release.
            example: 2026-04.amazon
          required: false
          description: >-
            API version identifier (e.g. "2026-04.amazon"). Optional today, will
            become required in a future release.
          name: x-api-version
          in: header
      responses:
        '200':
          description: Solana wallet portfolio
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PortfolioResponse'
        '400':
          description: Invalid Solana address or unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: Helius upstream error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    PortfolioResponse:
      type: object
      properties:
        tokens:
          type: array
          items:
            type: object
            properties:
              chainId:
                anyOf:
                  - type: number
                  - type: string
              address:
                type: string
              symbol:
                type: string
              name:
                type: string
              decimals:
                type: number
              balance:
                type: string
              balanceUsd:
                type: number
            required:
              - chainId
              - symbol
              - name
              - decimals
              - balance
              - balanceUsd
        totalUsd:
          type: number
        truncated:
          type: boolean
      required:
        - tokens
        - totalUsd
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
              code:
                type: string
            required:
              - message
      required:
        - error

````